#!/bin/bash
# SPDX-License-Identifier: LGPL-2.1+
# ~~~
#   runtest.sh of libcap
#   Description: Tests for libcap
#
#   Author: Susant Sahani <susant@redhat.com>
#   Copyright (c) 2018 Red Hat, Inc.
# ~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="libcap"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlRun "cp test-libcap /usr/bin/"
    rlPhaseEnd

    rlPhaseStartTest
        rlLog "Starting libcap tests ..."
        rlRun "/usr/bin/test-libcap"
    rlPhaseEnd

    rlPhaseStartCleanup
        rlRun "rm /usr/bin/test-libcap"
        rlLog "libcap tests done"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd

rlGetTestState
